# AbstractBuildCache

abstract class AbstractBuildCache : BuildCache

Base implementation for build cache service configuration.

#### Since

3.5

#### Inheritors

HttpBuildCache
DirectoryBuildCache

## Constructors

AbstractBuildCache
Link copied to clipboard
constructor()

## Functions

isEnabled
Link copied to clipboard
open fun isEnabled(): Boolean
isPush
Link copied to clipboard
open fun isPush(): Boolean
setEnabled
Link copied to clipboard
open fun setEnabled(enabled: Boolean)
setPush
Link copied to clipboard
open fun setPush(push: Boolean)